Redirect Call - Redirect Call
Een oproep omleiden.
POST {endpoint}/calling/callConnections:redirect?api-version=2026-03-12
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (url) |
Het eindpunt van de Azure Communication Service-resource. |
|
api-version
|
query | True |
string |
Versie van de API die wordt aangeroepen. |
Aanvraagkoptekst
| Name | Vereist | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Een Azure Communication Services-token voor gebruikerstoegang. |
| Repeatability-Request-ID |
string (uuid) |
Indien gespecificeerd, geeft de klant aan dat het verzoek herhaalbaar is; dat wil zeggen dat de client het verzoek meerdere keren kan indienen met dezelfde herhaalbaarheidsRequest-Id en een passend antwoord kan krijgen zonder dat de server het verzoek meerdere keren heeft uitgevoerd. De waarde van de herhaalbaarheids-Request-Id is een ondoorzichtige tekenreeks die een door de client gegenereerde unieke id voor de aanvraag vertegenwoordigt. Het is een versie 4 (willekeurige) UUID. |
|
| Repeatability-First-Sent |
string (date-time-rfc1123) |
Als Herhaalbaarheid-Request-ID header is opgegeven, moet Herhaalbaarheid-First-Sent header ook worden opgegeven. De waarde moet de datum en tijd zijn waarop het verzoek voor het eerst is gemaakt, uitgedrukt met behulp van de IMF-fixdate-vorm van HTTP-date. Voorbeeld: Sun, 06 Nov 1994 08:49:37 GMT. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| incomingCallContext | True |
string |
De context die bij het gesprek hoort. |
| target | True |
Communication |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 204 No Content |
De service heeft de oproep omgeleid naar het opgegeven eindpunt. |
|
| Other Status Codes |
Communication |
Fout |
Beveiliging
Authorization
Een Azure Communication Services-token voor gebruikerstoegang.
Type:
apiKey
In:
header
Voorbeelden
RedirectCall
Voorbeeldaanvraag
POST https://contoso.communications.azure.com/calling/callConnections:redirect?api-version=2026-03-12
{
"target": {
"kind": "communicationUser",
"communicationUser": {
"id": "8:acs:b9614373-fd0b-480c-8fd2-cb58b70eab9f_0f50d091-5bd3-448b-884d-44be7037d9b9"
}
},
"incomingCallContext": "H4sIAAAAAAAEAMVVS2/bOBD+LzrspaElPiSSBoJFNnvYoNi0aHaBtpcFRQ5t1rIokLRTJ8h/X1J2soHRQ4A9lAdZ4ry+mflm/FhpNQy3PjnrtErOj9XysbLBb8uvM9WyEkul49J2ioEiGhlKADHVKiR7oVDXUGo5tkpa8k8zH9yglhuKuLQNkqLpEMZUNSZLNFfVRWVcnAZ1uFVbyP53EQLOtzCaybsx3ZSgnZFKKk4QgLGIybZFfU8oolIZzFrWGk6yzaDG1U6tYLaBMd9MKiSn3aROjjSRoAUHhG1PEDMdIGFlg4yRUmhChWQsm62dMdl+adUQ4aIKEP0u6KPft6RePV1Uyf/PmmmT5VijnlmMpD7VDLg4r9m4G4azgjWng37weD5nBTt6OS8YlcRyBhpJwD1iggFSbccQJVRJANW1gp4XLCc/uHETS/4qJaXX2dE6pSku61pNbgETMrBfxM1hgsUIqVzWe1Lrqda6iBBpmsXx9ZWW1vUe19aHDZja9pqBMRyBpQyxriVIgNBIGa11D9wy2tWE1Q7np6iPOH51lyXtLRinrsZ4D6FwQmdY28LEKfhV7nX8+XCfkZwAB/gGOv18WEccJ1A7M/0V1BgnHwq0/JmBYSoWEi84XTC+pIyLuszCXPBrPyYY0zPTsv57OBSOxJxoXjXzV3WzJs1D/+X22gy/36m762/vhk8PV5eXOWAm5gZKqDZ5/PCdc2L/vvmjbynGh3fhPus8lVIZFzLI7PBj8BNkOsPMRBc/nURXw+DvIbM7hR3MJnmWdNE6Itt7p2Gr3HAHKblxVcyfsp724x5CnPfizbh36WVDvpaUNIMfhplbb+1Xtp87hhfPr687lq/qB4HD9ec1vN98+OzhQ9Rfp26zKq34BS47ygVtBZdNS3AjMCnb0MU/d0NyH/NEH15WmYu/BZ+7q2L6b1oN9LvVS3se5z+B4w6lWIOSHOl5+rmiSJoOI9b0jZZATMPUD7bsm5ZGjrsKfjfNcb+faPH0LyoNW7KCBgAA"
}
Voorbeeldrespons
Definities
RedirectCallRequest
De payload voor het omleiden van de oproep.
| Name | Type | Description |
|---|---|---|
| incomingCallContext |
string |
De context die bij het gesprek hoort. |
| target |
Communication |